
#include <LiquidCrystal.h>             //Sample using LiquidCrystal library

LiquidCrystal lcd(8, 9, 4, 5, 6, 7);   // select the pins used on the LCD panel

// define some values used by the panel and buttons
#define btnRIGHT  0
#define btnUP     1
#define btnDOWN   2
#define btnLEFT   3
#define btnSELECT 4
#define btnNONE   5
int lcd_key     = 0;
int adc_key_in  = 0;



int read_LCD_buttons()                    //function for detection of pressed keypad button
{
 adc_key_in = analogRead(0);              // read the analog value from the sensor 
 if (adc_key_in > 1000) return btnNONE;   // We make this the 1st option for speed reasons since it will be the most likely result
 if (adc_key_in < 50)   return btnRIGHT;  
 if (adc_key_in < 195)  return btnUP; 
 if (adc_key_in < 380)  return btnDOWN; 
 if (adc_key_in < 555)  return btnLEFT; 
 if (adc_key_in < 790)  return btnSELECT;   
 return btnNONE;  // when all others fail, return this...
}

void setup()
{ 
 lcd.begin(16, 2);                // start the LCD library
 lcd.setCursor(0,0);              // set cursor position at start

}
 
void loop()
{
 lcd.clear();
 
 lcd.setCursor(0,0);         
 lcd.print(analogRead(0));
        
 lcd.setCursor(7,0);            
 lcd_key = read_LCD_buttons();  // read the buttons function
 switch (lcd_key)               // depending on which button was pushed, we perform an action
 { case btnRIGHT:
     { lcd.print("RIGHT ");
       break;
     }
   case btnLEFT:
     { lcd.print("LEFT   ");
       break;
     }
   case btnUP:
     { lcd.print("UP    ");
       break;
     }
   case btnDOWN:
     { lcd.print("DOWN  ");
       break;
     }
   case btnSELECT:
     { lcd.print("SELECT");
       break;
     }
     case btnNONE:
     { lcd.print("NONE  ");
       break;
     }
 }
 delay(40);  //wait 40ms
}
